﻿/** 
 *   Copyright 2008 Olivian Daniel Tofan
 * 
 *   This file is part of WLPGZenphotoPlugin.
 *
 *   WLPGZenphotoPlugin is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   Foobar is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 */

using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace WLPGZenphotoPlugin
{
    class Test
    {
        public static void Main(String[] args)
        {
            Console.WriteLine("Hello world");
            Session session = new Session("localhost", "http://localhost/zenphoto-1.2");
            session.Username = "admin";
            session.Password = "admin";
            ZenphotoHelper.ZenphotoLogin(session);
            FileStream stream = new FileStream("c:\\movie.jpg", FileMode.Open, FileAccess.Read);
            PhotoAttributes photoAttributes = new PhotoAttributes();
            photoAttributes.Id = "123";
            photoAttributes.Filename = "movie.jpg";
            UploadData uploadData = null;
            ZenphotoHelper.ZenphotoSendFile(session, uploadData, photoAttributes, stream);
            stream.Close();
        }
    }
}
